Skip to main content
POST
/
orgs
/
{org_id}
/
views
/
{view_id}
/
move
Move an item in a view
curl --request POST \
  --url https://api.useinvent.com/orgs/{org_id}/views/{view_id}/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_id": "<string>",
  "group_value": "<string>",
  "after": "<string>",
  "before": "<string>"
}
'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/views/{view_id}/move"

payload = {
"item_id": "<string>",
"group_value": "<string>",
"after": "<string>",
"before": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
item_id: '<string>',
group_value: '<string>',
after: '<string>',
before: '<string>'
})
};

fetch('https://api.useinvent.com/orgs/{org_id}/views/{view_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


null

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

view_id
string
required

View ID

Body

item_id
string
required
Maximum string length: 128
group_value
string | null

Board only — new group_by value. Pass null for the unmatched group. Omit to leave the field value unchanged.

Maximum string length: 1024
after
string

Neighbor item id this one should come after. Required for kind='board'.

Maximum string length: 1024
before
string

Neighbor item id this one should come before. Required for kind='board'.

Maximum string length: 1024

Response

200 - application/json